flutter

본 토픽은 현재 준비중입니다. 공동공부에 참여하시면 완성 되었을 때 알려드립니다.

설치

플로터는 공식적으로 3가지 플랫폼을 지원한다.

원도우 맥 리눅스를 지원하고 있다.

https://flutter.dev/docs/get-started/install/macos

위에 홈페이지에 가서 다운을 받아 설치하면 된다.

 

최소 시스템 요구사항은 맥운영체제와 디스크 공간 700mb 정도가 필요하다.

또한 플루터는 다른 유틸리티에 의존성이 있다. bash, curl, git  같은 유틸리티가 필요하다.

 

설치는 공식 홈페이지에 잘 설명되어 있다.

sdk 를 다운로드하고 압축을 풀면 된다. 그리고 flutter 를 path에 등록시켜주면 된다.

패스에 등록하는 이유는 앱을 전역적으로 사용하기 위해서 인 것 같다.

export PATH="$PATH:`pwd`/flutter/bin"

 

flutter 는 ios와 android sdk 에 의존적이므로 플랫폼별 sdk가 설치되어 있어야 한다.

ios setup 

xcode 설치 해야 함. flutter가 ios sdk 에 의존적이므로 설치가 필요함

설치 ios simulator

 open -a Simulator

위에 설치 과정이 모두 끝났다면 커맨드라인데에서 바로 실행할수 있다.

위에 커맨드라인을 실행하면 바로 앱을 시뮬레이션 해볼수 있다.

앱을 만들어보고 실행하기

앱을 실행하기 위해서는 아래 명령어를 실행하면 바로 시작할 수 있다.

시물레이터를 열수  있다.

 open -a Simulator

 

앱을 실행하기 위해서는 다음 명령어를 사용하여 실행할수 있다.

 flutter create my_app
 cd my_app
 flutter run

위에 3가지 명령어를 해주면 앱이 실행된다.

 

iOS 장치에 배포하기

실제 장치에 배포하기 위해서는 apple 계정이 필요하다.

 

 brew install --HEAD usbmuxd
 brew link usbmuxd
 brew install --HEAD libimobiledevice
 brew install ideviceinstaller ios-deploy cocoapods
 pod setup

설치 과정에서 실패한다면 그전에 의존성를 다시한번 체크해볼필요가 있다. brew doctor 명령어로 확인할수 있다.

설치가 완료되었다면 ios 프로젝트를 열어보고

open ios/Runner.xcworkspace/

인증서를 등록시키고 flutter run시킬수 있다.

댓글

댓글 본문
작성자
비밀번호
버전 관리
happydeveloper
현재 버전
선택 버전
graphittie 자세히 보기